Subject: Re: unexpected non-allocatable section

From: Sam Ravnborg <[email-masked]>
Date: Sun, 3 May 2009 22:51:03 +0200

> I ran the tests on a LE machine:
> 
> Linux gemini.denx.de 2.6.27.15-170.2.24.fc10.i686 #1 SMP Wed Feb 11 23:58:12 EST 2009 i686 i686 i386 GNU/Linux
> 
> > I will push the patch in a few minutes.
> > 
> > For reference it is below:
> > 
> > 	Sam
> > 
> > From: Anders Kaseorg <[email-masked]>
> > Subject: [PATCH] kbuild, modpost: fix unexpected non-allocatable section when cross compiling
> > 
> > The missing TO_NATIVE(sechdrs[i].sh_flags) was causing many
> > unexpected non-allocatable section warnings when cross-compiling
> > for an architecture with a different endianness.
> 
> I'm confused. Why didn't I see this, then?

Maybe they just scrolled past the screen first time?
You need to do "rm vmlinux.o" to reproduce it.

The warnings are shown when we do section mismatch analysis on vmlinux.o
which is part of the final steps in creating vmlinux.
But you will force the check again if you only delete vmlinux.

You need to delete vmlinux.o to see them.

I hope this is the explanation - otherwise I have no good idea.

	Sam